<?php
/**
 *  @package	PaidSystem
 *  @copyright	Copyright (C) 2010-2014 Juloa.com. All rights reserved.
 *  @license    GNU General Public License version 3, or later
 */
// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die( 'Restricted access' );

include_once (JPATH_ROOT.'/components/com_adsmanager/helpers/usergroups.php');
?>
<form action="index.php" method="post" name="adminForm" id="adminForm" class="adminForm" enctype="multipart/form-data">
	<div class="row">
		<div class="col adminlist">
			<div class="mb-3 row">
				<div class="col col-3"><?php echo JText::_('PAIDSYSTEM_TH_NAME'); ?></div>
				<div class="col"><input class="form-control" type="text" name="title" value="<?php echo htmlspecialchars($this->highlight->title); ?>" /></div>
				
			</div>
			<div class="mb-3 row">
				<div class="col col-3"><?php echo JText::_('PAIDSYSTEM_DURATION_LONG'); ?></div>
				<div class="col"><input class="form-control" type="text" name="duration" value="<?php echo $this->highlight->duration; ?>" /></div>
				
			</div>
			<div class="mb-3 row">
				<div class="col col-3"><?php echo JText::_('PAIDSYSTEM_PRICE'); ?></div>
				<div class="col"><input class="form-control" type="text" name="credits" value="<?php echo $this->highlight->credits; ?>" /></div>
				
			</div>
			<div class="mb-3 row">
				<div class="col col-3"><?php echo JText::_('PAIDSYSTEM_TH_PUBLISH'); ?></div>
				<div class="col">
					<select class="form-select" name="published" id="published">
						<option value="1" <?php if ($this->highlight->published == 1) { echo "selected"; } ?>><?php echo JText::_('PAIDSYSTEM_PUBLISHED'); ?></option>
						<option value="0" <?php if ($this->highlight->published == 0) { echo "selected"; } ?>><?php echo JText::_('PAIDSYSTEM_NOT_PUBLISHED') ?></option>
					</select>
				</div>
				
			</div>
            <div class="mb-3 row">
				<div class="col col-3"><?php echo JText::_('PAIDSYSTEM_TH_ACL'); ?></div>
				<div class="col">
					<?php
                        echo \Juloa\Adsmanager\Site\Helpers\JHTMLAdsmanagerUserGroups::getUserGroups('params_acl[]', empty($this->highlight->acl) ? '-1' : explode(',', $this->highlight->acl), array('multiple' => 'multiple', 'class' => 'form-select'));
                    ?>
				</div>
				
			</div>
		</div>

		<div class="col col-1"></div>

		<div class="col adminform">
			<div class="row">
				<div class="col col-3">
					<label><?php echo JText::_('ADSMANAGER_FORM_CATEGORY'); ?></label>	
				</div>
				<div class="col">
					<select class="form-select" name="field_catsid[]" multiple='multiple' id="field_catsid[]" size="10">
						<?php 
						if (strpos($this->highlight->catsid, ",-1,") === false)
							echo "<option value='-1'>".JText::_('ADSMANAGER_MENU_ALL_ADS')."</option>";
						else
							echo "<option value='-1' selected>".JText::_('ADSMANAGER_MENU_ALL_ADS')."</option>";
						
						$this->selectCategories(0,"",$this->cats,-1,-1,1,$this->highlight->catsid);
						?>
					</select>
				</div>
			</div>
		</div>
	</div>

	<input type="hidden" name="id" value="<?php echo $this->highlight->id; ?>" />
	<input type="hidden" name="option" value="com_paidsystem" />
	<input type="hidden" name="c" value="highlights" />
	<input type="hidden" name="task" value="" />
	</form>