<?php
/**
 *  @package	PaidSystem
 *  @copyright	Copyright (C) 2010-2014 Juloa.com. All rights reserved.
 *  @license    GNU General Public License version 3, or later
 */

// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die( 'Restricted access' );

jimport('joomla.application.component.model');
JTable::addIncludePath(JPATH_ADMINISTRATOR.DS.'components'.DS.'com_paidsystem'.DS.'tables');

/**
 * @package		Joomla
 * @subpackage	Contact
 */
class PaidsystemModelConfiguration extends TModel
{
	var $_conf;
	
	function getConfiguration() {
    	if ($this->_conf)
    		return $this->_conf;
    	else {
    		$this->_db->setQuery( "SELECT * FROM #__paidsystem_config");
			$this->_conf = $this->_db->loadObject();
			$params = json_decode($this->_conf->params);
			if ($params != null) {
				foreach($params as $name => $value) {
					$this->_conf->$name = $value;
				}
			}
			return $this->_conf;
    	}
    }
    
    function updateUpdateSiteXML($dlid) {
    	$db = JFactory::getDbo();
    	$db->setQuery("SELECT e.extension_id
							FROM #__extensions AS e
							WHERE e.type = 'component' AND e.element = 'com_paidsystem'");
    	$extension_id = $db->loadResult();
    
    	$db->setQuery("DELETE FROM #__update_sites WHERE update_site_id IN
					       (SELECT ue.update_site_id FROM #__update_sites_extensions AS ue
							WHERE ue.extension_id = ".(int)$extension_id.")");
    	$db->execute();
    
    	$db->setQuery("DELETE FROM #__update_sites_extensions WHERE extension_id = ".(int)$extension_id);
    	$db->execute();
    
    	$data = new stdClass();
    
    	$data->location = "";  // Free URL
    	$data->location = "http://www.joomprod.com/updatestream?id=10&dlid=".$dlid."&dummy=/extension.xml";
    	
    	$data->name ="PaidSystem Update XML";
    	$data->type ="extension";
    	$data->enabled = 1;
    	$data->last_check_timestamp = 0;
    	$db->insertObject("#__update_sites",$data);
    
    	$update_site_id = $db->insertid();
    
    	$data = new stdClass();
    	$data->update_site_id = $update_site_id;
    	$data->extension_id = $extension_id;
    	$db->insertObject("#__update_sites_extensions",$data);
    }
}