<?php
/**
 *  @package	PaidSystem
 *  @copyright	Copyright (C) 2010-2014 Juloa.com. All rights reserved.
 *  @license    GNU General Public License version 3, or later
 */
defined('_JEXEC') or die();

class PaidsystemTableDuration extends JTable
{
	var $id = null;
	var $title = null;
	var $duration = null;
	var $credits = null;
	var $ordering = null;
	var $type = null;
	var $catsid = null;
	var $published = 1;
			
    var $params = '';
			
    function __construct(&$db)
    {
    	parent::__construct( '#__paidsystem_duration', 'id', $db );
    }
    
    function savecatsid($id,$catsid)
    {
    	$query = "UPDATE #__paidsystem_duration SET catsid ='$catsid' WHERE id=$id";
		$this->_db->setQuery( $query);
		$this->_db->execute();
    }
    
    function bind($src, $ignore = array()) {
        parent::bind($src, $ignore);
        
        // All post values starting with params_ should be saved in json format in params
    	$tmp_params = array();
    	foreach($src as $key => $d) {
    		if (strpos($key,"params_") === 0) {
    			$k = substr($key,7);
    			$tmp_params[$k] = $d;
    		}
    	}
        if(!empty($tmp_params)) {
            $this->params = json_encode($tmp_params);
        } else {
            $params = json_decode($this->params);
			if ($params != null) {
				foreach($params as $name => $value) {
					$this->$name = $value;
				}
			}
        }
        return true;
    }
}