<?php 
/**
 *  @package	PaidSystem
 *  @copyright	Copyright (C) 2010-2014 Juloa.com. All rights reserved.
 *  @license    GNU General Public License version 3, or later
 */

defined('_JEXEC') or die( 'Restricted access' );

$script = "
var form = document.adminForm;
var img_table = new Array(".$conf->num_images.");
var nbbasiccats = 0;
var nbprevious = 0;
var nbprevious = 0;
";


if (($conf->nbcats + $adsmanager_conf->nbcats) > 1)
{ 
	$script .= "
	jQ(function() {	
		nbbasiccats = 0;
		nbprevious = 0;
		
		if ((document.adminForm.selected_cats.length != 0)&&(document.adminForm.selected_cats.length > nbmaxcats))
		{
			nbprevious = document.adminForm.selected_cats.length;
		}
	
		nbbasiccats = ".$adsmanager_conf->nbcats.";
		nbmaxcats = ".($conf->nbcats + $adsmanager_conf->nbcats).";
	});
	";
	
	if  ($conf->nbcats > 0) 
	{ 
		$script .= "
		function paidsystem_before_add_categories(){
			var nb = document.adminForm.selected_cats.length;
			var srcList = document.adminForm.not_selected_cats;
			var srcLen = srcList.length;
			var count = 0;
			var addit_count = 0;	
			var basic_count = 0;
		
			for (var i=0; i < srcLen; i++) {
				if (srcList.options[i].selected) {
					count++;
				}
			}

			// Don't charge already paid, if new + current <= already paid, nothing to do
			if (nb + count <= nbprevious)
				count = 0;
			// If nb + count > previous but nb < previous some part is already paid some part is new
			else if (nb < nbprevious) {
				count = nb + count - nbprevious;
				nb = nbprevious;
			}

			if (count != 0)
			{
				
				// If nb + new cats < basic ==> only basic
				if (nb + count <= nbbasiccats)
				{
					basic_count = count;
					addit_count = 0;
				}
				//If nb < basic, ==> nb + count > basic ==> one part basic , one part not basic
				else if (nb < nbbasiccats)
				{ 
				   addit_count = count - (nbbasiccats-nb);	
				   basic_count = count - addit_count;
				} 
				// nb > basic ==> all extra
				else
				{
				   addit_count = count;	
				   basic_count = 0;
				}
				
				jQ('#paidsystemadcost').val(parseFloat(jQ('#paidsystemadcost').val()) + (basic_count * ".$conf->credits.") + (addit_count * ".$conf->cat_price."));
			}
		}
		
		function paidsystem_before_remove_categories(){
			var nb = document.adminForm.selected_cats.length;
			var srcList = document.adminForm.selected_cats;
			var srcLen = srcList.length;
			var count=0;
			
			for (var i=0; i < srcLen; i++) {
				if (srcList.options[i].selected) {
					count++;
				}
			}
			
			if (count != 0)
			{
				//If current selected cats nb is lower than already paid nb => count = 0
				if (nb < nbprevious)
					count = 0;
				// If current selected cats nb is greater than already paid AND current ads - deleted selection is lower than already paid
				// Just remove the additionnal price (nb-previous)
				else if (nb - count < nbprevious)
					count = nb - nbprevious;

				// If nb < limit \"basic\" cost nb, then cost is only basic
				if (nb <= nbbasiccats)
				{
					basic_count = count;
					addit_count = 0;
				}
				// Si nb > but nb - cats to remove < basic (one part basic, one part extra)
				else if (nb - count < nbbasiccats)
				{
					addit_count = count - (nbbasiccats - (nb - count));
					basic_count = count - addit_count;
				}
				// Si nb - count > basic ==> only extra
				else
				{
				   addit_count = count;	
				   basic_count = 0;
				}
				jQ('#paidsystemadcost').val(parseFloat(jQ('#paidsystemadcost').val()) - (addit_count * ".$conf->cat_price.") - (basic_count * ".$conf->credits."));
			}
		}
		";
	} else {
		$script .= "
		var paidcatscost = 0;
		var currentcatscost = 0;
		var tgtList;
		var tgtLen;

		jQ(function() {
			paidcatscost = 0;
			
			tgtList = document.adminForm.selected_cats;
			tgtLen = tgtList.length;
			
			for (var i=0; i < tgtLen; i++) {
				paidcatscost += parseFloat(tgtList[i].getAttribute('price'));
			}
			currentcatscost = paidcatscost;

		});
		
		function paidsystem_before_add_categories(){
			var nb = document.adminForm.selected_cats.length;
			var srcList = document.adminForm.not_selected_cats;
			var tgtList = document.adminForm.selected_cats;
			var srcLen = srcList.length;
			var tgtLen = tgtList.length;
			var cost = 0;
		
			for (var i=0; i < srcLen; i++) {
				if (srcList.options[i].selected) {
					cost += parseFloat(srcList.options[i].getAttribute('price'));
				}
			}

			newcatscost = currentcatscost + cost;
			
			if (currentcatscost >= paidcatscost)
			{
				jQ('#paidsystemadcost').val(parseFloat(jQ('#paidsystemadcost').val()) + (newcatscost-currentcatscost));
			}
			else if (newcatscost > paidcatscost)
			{
				jQ('#paidsystemadcost').val(parseFloat(jQ('#paidsystemadcost').val())  + (newcatscost-paidcatscost));
			}
			currentcatscost = newcatscost;
			
			updateFields();
		}
		
		function paidsystem_before_remove_categories(){
			var nb = document.adminForm.selected_cats.length;
			var form = document.adminForm;
			var srcList = form.selected_cats;
			var cost = 0;
			var srcLen = srcList.length;

			for (var i=srcLen-1; i > -1; i--) {
				if (srcList.options[i].selected) {
					cost += parseFloat(srcList.options[i].getAttribute('price'));
				}
			}

			newcatscost = currentcatscost - cost;
			
			if (currentcatscost > paidcatscost)
			{
				if (newcatscost >= paidcatscost)
				{
					jQ('#paidsystemadcost').val(parseFloat(jQ('#paidsystemadcost').val())  + (newcatscost-currentcatscost));
				}
				else
				{
					jQ('#paidsystemadcost').val(parseFloat(jQ('#paidsystemadcost').val()) + (paidcatscost-currentcatscost));
				}
			}
			currentcatscost = newcatscost;
			
			updateFields();
		}
		";	
	}
} else {
	if ($isUpdateMode == 0)
		$script .= "jQ(function() { jQ('#paidsystemadcost').val(".$conf->credits.");});";	
}

if (isset($fieldprices)) {
	$script .= "
		jQ(function() {
	";

	$appendScript = "";
	foreach($fieldprices as $field) {
	   if ($field->price > 0) {
			$name = $field->name;
			if (($field->type == "multicheckbox")||
			    ($field->type == "multiselect")||
				($field->type == "multicheckboximage")) {
				$name .= "[]";
			}
			$appendScript .= "
		   var input = document.getElementById('f".$name."');
		   	if (input) {
			    var var_".$field->name." = 0;
			   
			    if ((input.type == 'checkbox')||(input.type == 'radio')) {
						value = input.checked;
					} else {
						if (input.value != \"\")
							value = true;
						else
							value = false;
					}
									
					if (value == true)
						var_".$field->name." = 2;
			  
					if (var_".$field->name." != 2) {
						if ((input.type == 'checkbox')||(input.type == 'radio')) {
							var tmp = document.getElementsByName('".$name."');
							for(i=0;i < tmp.length;i++) {
								input =  tmp[i];
								input.onchange = function (){
									var tmp = document.getElementsByName('".$name."');
									var groupvalue = false;
									
									for(i=0;i < tmp.length;i++) {
										if (tmp[i].checked) {
											groupvalue = tmp[i].checked;
											break;
										}
									}
							
									value = this.checked;

									if ((value  == true)&&(var_".$field->name." == 0)) {
										var_".$field->name." = 1;
										jQ('#paidsystemadcost').val(parseFloat(jQ('#paidsystemadcost').val()) + ".$field->price.");
									} else if ((value == false)&&(var_".$field->name." == 1)&&(groupvalue == false)) {
										var_".$field->name." = 0;
										jQ('#paidsystemadcost').val(parseFloat(jQ('#paidsystemadcost').val()) - ".$field->price.");
									}
								}
							}
						} else {
							input.onchange = function (){
								
								if (this.value != \"\")
									value = true;
								else
									value = false;

								if ((value  == true)&&(var_".$field->name." == 0))
								{
									var_".$field->name." = 1;
									jQ('#paidsystemadcost').val(parseFloat(jQ('#paidsystemadcost').val()) + ".$field->price.");
								}
								else if ((value == false)&&(var_".$field->name." == 1))
								{
									var_".$field->name." = 0;
									jQ('#paidsystemadcost').val(parseFloat(jQ('#paidsystemadcost').val()) - ".$field->price.");
								}
							}
						}
					}
				}
				";
	   }
		}
		$script .= $appendScript;
    $script .= "});";
}
if (count($durations) != 0) {
	$script .= "
	ad_duration_credits = 0;
	
	function changeDuration(obj) {
	
		var duration_credits = 0;
		switch(obj.value) {
			";
			$appendScript = "";
			foreach($durations as $du) {
				$appendScript .=  "case '$du->id': duration_credits = $du->credits; break;";
			}
			
			$script .= $appendScript;
    	$script .= "
		}
		jQ('#paidsystemadcost').val(parseFloat(jQ('#paidsystemadcost').val()) + duration_credits - ad_duration_credits);
		ad_duration_credits = parseFloat(duration_credits);
	}
	";
}

$script .= "
function checkImageAdded(id) {
";
if (!isset($conf->enable_image_pack) || $conf->enable_image_pack == 0) {
	$script .= "var form = document.adminForm;
	if (!img_table[id])
	{
		img_table[id] = 1;
		jQ('#paidsystemadcost').val(parseFloat(jQ('#paidsystemadcost').val()) + parseFloat(form.image_price.value));
	}
	";
}
$script .= "
}

current_featured_index = 0;
current_featured_price = 0;

current_highlight_index = 0;
current_highlight_price = 0;

current_top_index = 0;
current_top_price = 0;

function checkPaidOption(optionname)
{
	var form = document.adminForm;
	
	// do field validation
	if (optionname == 'featured')
	{
		select = document.getElementById('featured_option');
        if (select == null) return;
		if(jQ('#featured_option option:selected').length === 0) return;
		price = parseFloat(jQ('#featured_option option:selected').attr('price'));
		diff = price - current_featured_price; 

		jQ('#paidsystemadcost').val(parseFloat(jQ('#paidsystemadcost').val()) + diff);
		current_featured_index = select.selectedIndex;
		current_featured_price = price;
	}
	else if (optionname == 'highlight')
	{
		select = document.getElementById('highlight_option');
        if (select == null) return;
		if(jQ('#highlight_option option:selected').length === 0) return;
		price = parseFloat(jQ('#highlight_option option:selected').attr('price'));

		diff = price - current_highlight_price; 

		jQ('#paidsystemadcost').val(parseFloat(jQ('#paidsystemadcost').val()) + diff);
		current_highlight_index = select.selectedIndex;
		current_highlight_price = price;
	}
	else if (optionname == 'top')
	{
		select = document.getElementById('top_option');
        if (select == null) return;
		if(jQ('#top_option option:selected').length === 0) return;
		price = parseFloat(jQ('#top_option option:selected').attr('price'));

		diff = price - current_top_price; 

		jQ('#paidsystemadcost').val(parseFloat(jQ('#paidsystemadcost').val()) + diff);
		current_top_index = select.selectedIndex;
		current_top_price = price;
	}
}

jQ(document).ready(function() {";
	if (($conf->top_active == 1)&&(count($topdurations) != 0)) {
		$script .= "checkPaidOption('top');";
	}
	if (($conf->highlight_active == 1)&&(count($highlightdurations) > 0)){
		$script .= "checkPaidOption('highlight');";
	}
	if (($conf->featured_active == 1)&&(count($featureddurations) > 0)){
		$script .= "checkPaidOption('featured');";
	}
$script .= "});
";

JFactory::getApplication()->getDocument()->addScriptDeclaration($script);
