<?php
/**
 *  @package	PaidSystem
 *  @copyright	Copyright (C) 2010-2014 Juloa.com. All rights reserved.
 *  @license    GNU General Public License version 3, or later
 */
// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die( 'Restricted access' );

?>
<?php
/**
 * @package		Invoicing
 * @copyright	Copyright (C) 2010-2014 Juloa.com. All rights reserved.
 */

// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die( 'Restricted access' );

require_once(JPATH_ADMINISTRATOR.'/components/com_invoicing/assets/generatorplugin.php');

class plgInvoicinggeneratorAdsmanager extends InvoicingAbstractGeneratorPlugin
{
	function getItemTypes()
	{
		$types = array( "adsmanager-renew"=> JText::_('ADSMANAGER_ITEMTYPE_RENEW'),
				        "adsmanager-fields"=> JText::_('ADSMANAGER_ITEMTYPE_FIELDS'),
				        "adsmanager-categories"=> JText::_('ADSMANAGER_ITEMTYPE_CATEGORIES'),
						"adsmanager-images"=> JText::_('ADSMANAGER_ITEMTYPE_IMAGES'),
						"adsmanager-duration"=> JText::_('ADSMANAGER_ITEMTYPE_DURATION'),
						"adsmanager-featured"=> JText::_('ADSMANAGER_ITEMTYPE_FEATURED'),
						"adsmanager-highlight"=> JText::_('ADSMANAGER_ITEMTYPE_HIGHLIGHT'),
						"adsmanager-top" => JText::_('ADSMANAGER_ITEMTYPE_TOP'));
		return $types;
	}
	
	function onInvoicingPaymentValidation($invoice)
	{	
        $generator_key = $invoice->generator_key;
        $generator = $invoice->generator;
		if($generator != "adsmanager") return false;
		
		require_once(JPATH_ROOT."/components/com_adsmanager/lib/core.php");

		$pendingid = $generator_key;
		
		$query = " SELECT * ".
				" FROM #__adsmanager_pending_ads".
				" WHERE contentid = ".intval($pendingid);
		$db = JFactory::getDbo();
		$db->setQuery($query);
		$pending = $db->loadObject();
		
		$pending->data = json_decode($pending->content);
		$row = new JObject();
		$row->id = $pendingid;
		
		if (isset($pending->data->renew_duration))
		{
			$adid = $pending->contentid;
		
			if ($pending->data->renew_duration == 0) {
				$newdate = "NULL";
			} else {
				$db->setQuery( "SELECT expiration_date FROM #__adsmanager_ads WHERE id = ".(int)$adid);
				$expiration_date = $db->loadResult();
				$time = strtotime($expiration_date);
				if ($time < time())
				{
					$time = time();
				}
				$time = $time + ( $pending->data->renew_duration * 3600 *24);
				$newdate = "'".date("Y-m-d",$time)."'";
			}
		
		
			$db->setQuery( "UPDATE #__adsmanager_ads SET expiration_date = $newdate, date_created = CURDATE(),recall_mail_sent=0,published=1 WHERE id=".(int)$adid);
			$db->execute();
			return $adid;
		} else {
			$content = JTable::getInstance('contents', 'AdsmanagerTable');
		
			$content->load($pendingid);	
			
			//TODO
			if ($content->ad_headline != "") {
				$isUpdateMode = 1;
			} else {
				$isUpdateMode = 0;
			}

			$content->bindPending($pendingid);

			$content->saveContent('dummy');

			$user = JFactory::getUser($content->userid);

			$conf = TConf::getConfig();

			
			include_once (JPATH_ROOT.'/components/com_adsmanager/helpers/emailtemplates.php');

			if ($isUpdateMode == 0) {
				if ($conf->auto_publish == 1) {
					EmailTemplateHelperEmail::sendEmail($content, 'adsmanager_new_content');
				} else {
					EmailTemplateHelperEmail::sendEmail($content, 'adsmanager_waiting_validation');
					EmailTemplateHelperEmail::sendEmail($content, 'admin_adsmanager_waiting_validation', $conf);
				}
				EmailTemplateHelperEmail::sendEmail($content, 'admin_adsmanager_new_content', $conf);
			} else {
				if ($conf->update_validation == 0) {
					EmailTemplateHelperEmail::sendEmail($content, 'adsmanager_update_content');
				} else {
					EmailTemplateHelperEmail::sendEmail($content, 'adsmanager_waiting_validation');
					EmailTemplateHelperEmail::sendEmail($content, 'admin_adsmanager_waiting_validation', $conf);
				}
				EmailTemplateHelperEmail::sendEmail($content, 'admin_adsmanager_update_content', $conf);
			}
	
			JPluginHelper::importPlugin('adsmanagercontent');
			try {
				$results = JFactory::getApplication()->triggerEvent('onContentAfterSaveAds', array ($content,$isUpdateMode,$conf));
			} catch(Exception $e) {
				$errorMsg = $e->getMessage();
			}
		}
		$cache = JFactory::getCache( 'com_adsmanager');
		$cache->clean();
	}
}
